#define motorIN1 0 // IN1
#define motorIN2 1 // IN2
    
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(motorIN1, OUTPUT); //In hole
  pinMode(motorIN2, OUTPUT); //Out hole
}

// the loop function runs over and over again forever
void loop() {
  Forward();
  Reverse();
}

void Forward(){
  
//  digitalWrite(motorIN2, 0);
//  digitalWrite(motorIN1, 1);
//  delay(5000);

  for (int i=0; i<256 ; i++)
  {
    analogWrite(motorIN1,i);
    delay(30); 
  }
  
  for (int i=255; i>=0 ; i--)
  {
    analogWrite(motorIN1,i);
    delay(30); 
  }
  
  digitalWrite(motorIN1, 1); //break
  digitalWrite(motorIN2, 1); //break
  delay(100);
  
  digitalWrite(motorIN1, 0); //standby
  digitalWrite(motorIN2, 0); //standby
  delay(100);
}

void Reverse(){
  digitalWrite(motorIN1, 0);
  
  for (int i=0; i<256 ; i++)
  {
    analogWrite(motorIN2,i);
    delay(30); 
  }
  
  for (int i=255; i>=0 ; i--)
  {
    analogWrite(motorIN2,i);
    delay(30); 
  }

  digitalWrite(motorIN1, 1); //break
  digitalWrite(motorIN2, 1); //break
  delay(100);

  digitalWrite(motorIN1, 0); //standby
  digitalWrite(motorIN2, 0); //standby
  delay(100);
}
